#include <Application.h>
#include <Node.h>

#include <string.h>

#include <system/SetupSystem.h>

#include "window.h"

int main(int argc,const char **argv) {
	if (BNode(argv[0]).ReadAttr("user_name",'CSTR',0,us,255) <= 0)
		strcpy(us,"Anonymous");

	new BApplication("application/muscle-battleship");
	
	muscle::CompleteSetupSystem system;
	
	if (argc > 1)
		(new GameBoard(argv[1]));
	else
		(new GameBoard());
	be_app->Run();
	delete be_app;
}